import 'package:flutter/services.dart';

class AuthService {
  static const _channel = MethodChannel('com.amtxts.tboss_oa_module/auth');

  String? _token;

  String? get token => _token;

  Future<String?> fetchToken() async {
    try {
      _token = await _channel.invokeMethod<String>('getToken');
      return _token;
    } on MissingPluginException {
      return _token = 'mock_token_dev';
    } catch (_) {
      return null;
    }
  }
}
